--- elwix/config/rc.subr	2017/06/28 08:58:51	1.10.2.8
+++ elwix/config/rc.subr	2020/06/11 00:51:37	1.10.2.11
@@ -4,11 +4,16 @@
 # (C) AITNET ltd - Sofia/Bulgaria <office@aitnet.org>
 #    by Michael Pounov <misho@elwix.org>
 #
-# $Id: rc.subr,v 1.10.2.8 2017/06/28 08:58:51 misho Exp $
+# $Id: rc.subr,v 1.10.2.11 2020/06/11 00:51:37 misho Exp $
 #
 
 ### Dont edit this file !!!
 
+Die() {
+	echo -n "EXIT: " >&2; echo "$@" >&2
+	exit 1
+}
+
 CheckVer()
 {
 	[ -z "$1" -o ! -r "$1" ] && return 1
@@ -158,7 +163,7 @@ MakeFS_etc()
 
 #	ln -sf /elwix/pkg/etc/mk.conf $1/etc/mk.conf;
 
-	echo ${TARGET_ARCH} >$1/etc/platform;
+	echo "${TARGET_ARCH} $3" >$1/etc/platform;
 
 	Create_etc_motd $1/etc/motd $3;
 
@@ -192,6 +197,8 @@ MakeFS_boot()
 			install -m 444 ${CFGDIR}/boot/logo-elwix.4th $1/boot;
 			install -m 444 ${CFGDIR}/boot/brand-elwix.4th $1/boot;
 			install -m 444 ${CFGDIR}/boot/menu.4th $1/boot;
+			install -m 444 ${CFGDIR}/boot/logo-elwix.lua $1/boot/lua;
+			install -m 444 ${CFGDIR}/boot/brand-elwix.lua $1/boot/lua;
 			;;
 		*)
 			;;